Skip to main content
POST
/
Agent
/
Legal
/
SignData
Sign Data
curl --request POST \
  --url https://{host}/Agent/Legal/SignData \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "<string>",
  "legalId": "<string>",
  "dataBase64": "<string>",
  "keySignature": "<string>",
  "requestSignature": "<string>"
}
'
{
  "Signature": "<string>"
}

Overview

Allows the client to sign binary data.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyId
string
required
dataBase64
string
required
keySignature
string
required
requestSignature
string
required

Response

200 - application/json

Success

Signature
string
required